[Armadeus-commitlog] SF.net SVN: armadeus:[1046] trunk/buildroot/target/device/armadeus/linux/ kern
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-01-31 20:13:42
|
Revision: 1046
http://armadeus.svn.sourceforge.net/armadeus/?rev=1046&view=rev
Author: artemys
Date: 2009-01-31 20:13:39 +0000 (Sat, 31 Jan 2009)
Log Message:
-----------
[LINUX] Moves 2.6.27.2 patches to 2.6.27.13 (first step)
Added Paths:
-----------
trunk/buildroot/target/device/armadeus/linux/kernel-patches/2.6.27.13/
trunk/buildroot/target/device/armadeus/linux/kernel-patches/copy_patches.sh
trunk/buildroot/target/device/armadeus/linux/kernel-patches/move_patches.sh
Removed Paths:
-------------
trunk/buildroot/target/device/armadeus/linux/kernel-patches/2.6.27.2/
trunk/buildroot/target/device/armadeus/linux/kernel-patches/create_patches.sh
Copied: trunk/buildroot/target/device/armadeus/linux/kernel-patches/copy_patches.sh (from rev 1041, trunk/buildroot/target/device/armadeus/linux/kernel-patches/create_patches.sh)
===================================================================
--- trunk/buildroot/target/device/armadeus/linux/kernel-patches/copy_patches.sh (rev 0)
+++ trunk/buildroot/target/device/armadeus/linux/kernel-patches/copy_patches.sh 2009-01-31 20:13:39 UTC (rev 1046)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+show_usage()
+{
+ echo
+ echo "Copy existing patches and rename them for new version:"
+ echo " $0 old_version_dir new_version_dir"
+ echo
+ exit 1
+}
+
+if [ $# != 2 ]; then
+ show_usage
+fi
+
+if [ ! -d "$1" ]; then
+ echo "$1 source directory doesn't exist"
+ show_usage
+fi
+
+if [ -d "$2" ]; then
+ echo "$2 directory is already existing !!"
+ show_usage
+fi
+
+# Copy dir
+cp -r $1 $2
+
+# Rename patches
+FILES=`ls $1 | grep $1`
+for patches in $FILES; do
+ new_name=`echo $patches | sed -e s/$1/$2/`
+ #echo "renaming $1/$patches in $2/$new_name"
+ mv $2/$patches $2/$new_name
+done
+rm -rf $2/.svn
+
+# Bye bye
+exit 0
Deleted: trunk/buildroot/target/device/armadeus/linux/kernel-patches/create_patches.sh
===================================================================
--- trunk/buildroot/target/device/armadeus/linux/kernel-patches/create_patches.sh 2009-01-31 18:18:44 UTC (rev 1045)
+++ trunk/buildroot/target/device/armadeus/linux/kernel-patches/create_patches.sh 2009-01-31 20:13:39 UTC (rev 1046)
@@ -1,39 +0,0 @@
-#!/bin/bash
-
-show_usage()
-{
- echo
- echo "Copy existing patches and rename them for new version:"
- echo " $0 old_version_dir new_version_dir"
- echo
- exit 1
-}
-
-if [ $# != 2 ]; then
- show_usage
-fi
-
-if [ ! -d "$1" ]; then
- echo "$1 source directory doesn't exist"
- show_usage
-fi
-
-if [ -d "$2" ]; then
- echo "$2 directory is already existing !!"
- show_usage
-fi
-
-# Copy dir
-cp -r $1 $2
-
-# Rename patches
-FILES=`ls $1 | grep $1`
-for patches in $FILES; do
- new_name=`echo $patches | sed -e s/$1/$2/`
- #echo "renaming $1/$patches in $2/$new_name"
- mv $2/$patches $2/$new_name
-done
-rm -rf $2/.svn
-
-# Bye bye
-exit 0
Added: trunk/buildroot/target/device/armadeus/linux/kernel-patches/move_patches.sh
===================================================================
--- trunk/buildroot/target/device/armadeus/linux/kernel-patches/move_patches.sh (rev 0)
+++ trunk/buildroot/target/device/armadeus/linux/kernel-patches/move_patches.sh 2009-01-31 20:13:39 UTC (rev 1046)
@@ -0,0 +1,56 @@
+#!/bin/bash
+
+show_usage()
+{
+ echo
+ echo "Move (svn mv) patches from given version dir to new version:"
+ echo " $0 old_version_dir new_version"
+ echo
+ exit 1
+}
+
+if [ $# != 2 ]; then
+ show_usage
+fi
+
+if [ ! -d "$1" ]; then
+ echo "$1 source directory doesn't exist"
+ show_usage
+fi
+
+if [ -d "$2" ]; then
+ echo "$2 directory is already existing !!"
+ show_usage
+fi
+
+svn mv $1 $2
+
+echo "********"
+echo "I'm now going to commit the renaming of $1 to $2 (first step of the patches moving)"
+echo "ARE YOU SURE YOU WANT TO PROCEED ??"
+echo " y/n"
+read answer
+
+if [ "$answer" != "y" ]; then
+ svn revert $2
+ svn revert -R $1
+ rm -rf $2
+ echo " Nothing changed !!"
+ exit 1
+fi
+
+svn commit -m "[LINUX] Moves $1 patches to $2 (first step)"
+
+# Rename patches
+PATCHES=`ls $2 | grep $1`
+for patch in $PATCHES; do
+ new_name=`echo $patch | sed -e s/$1/$2/`
+ echo "renaming $1/$patch in $2/$new_name"
+ svn mv $2/$patch $2/$new_name
+done
+
+echo "Don't forget to move Linux configuration in Buildroot too !!"
+
+# Bye bye
+exit 0
+
Property changes on: trunk/buildroot/target/device/armadeus/linux/kernel-patches/move_patches.sh
___________________________________________________________________
Added: svn:executable
+ *
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|